imms (3.1.0~svn301-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Add Build-Depends on libaudclient-dev which is now
      separate from audacious-dev. (Closes: #759708)
    - Tighten audacious-dev in Build-Depens to (>= 3.5) to ensure that
      plugin_dir variable in the pkg-config file is available.
  * debian/rules: Use plugin_dir variable to determine plugin directory.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Sep 2014 10:55:50 +0200

imms (3.1.0~svn301-3) unstable; urgency=low

  * urgency high - testing has non-working version
  * force rebuild with new audacious (Closes: #719046) (LP: #1209123)
  * debian/control: removed DM-Upload-Allowed
  * debian/rules: add hardening flags
    - new patch hardening-flags.patch
  * debian/rules: remove unsupported configure options:
    --without-xmms --without-bmp
  * update Standard-Version to 3.9.4 - no changes required

 -- Artur R. Czechowski <arturcz@hell.pl>  Tue, 27 Aug 2013 21:59:32 +0200

imms (3.1.0~svn301-2) unstable; urgency=high

  * urgency high - testing has non-working version
  * 3.1.0~svn301-1 also fixes Ubuntu bug (LP: #935183)
  * call the method to dereference a returned string,
    - updated audacious-3.x.patch
  * refresh all patches using quilt -p ab and diff -p
  * removed obsoleted Conflicts with really old package
  * debian/rules: provide build-arch and build-indep targets to make lintian
    happy
  * update Standard-Version to 3.9.3 - no changes required

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 18 Mar 2012 02:43:12 +0100

imms (3.1.0~svn301-1) unstable; urgency=low

  * new upstream release
  * rename patch:
    - 01verbose-compilation.patch -> verbose-compilation.patch
  * remove patches:
    - 02audacious-2.3.patch
    - 03audacious-2.4.patch
    - 04utf8-filename-conversion.patch
  * new patches:
    - audacious-3.x.patch (Closes: #661390)
    - configure-plugin-is-critical.patch
    - local-version.patch
    - sox-deprecated-options.patch
  * all patches are described in DEP3 format
  * update debian/watch to reflect layout changes on Google Code and changed
    upstream version numbering scheme

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 17 Mar 2012 03:15:34 +0000

imms (3.1.0~rc8-3) unstable; urgency=low

  * new patches already applied in Ubuntu (Closes: #610810, #620918):
    + 03audacious-2.4.patch: fix imms to work with audacious 2.4. Patch taken
      from upstream (http://code.google.com/p/imms/source/detail?r=257)
    + 04utf8-filename-conversion.patch: backport upstream fix to use
       g_filename_to_utf8 for filename conversion

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 11 Dec 2011 20:30:59 +0000

imms (3.1.0~rc8-2) unstable; urgency=low

  * switch to dpkg-source 3.0 (quilt) format
    + remove dpatch from build dependencies and debian/rules
  * build with audacious 2.3
    + replace audacious-plugins-dev with audacious-dev in build dependencies
    + new patch 02audacious-2.3.patch by james.westby@ubuntu.com
      - slightly modified to remove glib references
  * update Standards-Version to 3.8.4 (no changes required)

 -- Artur R. Czechowski <arturcz@hell.pl>  Mon, 24 May 2010 20:38:55 +0000

imms (3.1.0~rc8-1) unstable; urgency=low

  * new upstream release
  * removed patches - applied by upstream:
    + 02compile-with-gcc-4.3.dpatch
    + 03compile-with-bmp-names-fix-486989.dpatch
    + 04sox--w-is-obsoleted.dpatch
  * fixed typo in debian/changelog
  * build without immsremote - no documentation is provided, functionality is
    quizzical
  * debian/control: updated Homepage
  * debian/watch: update to new location
  * user manuals in man format are provided (Closes: #251085)
    + xsltproc and docbook-xsl added to Build-Depends
    + analyzer.xml, immsd.xml, immstool.xml appeared in debian/
    + debian/rules takes care on maintaing files in man format

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 27 Jun 2009 18:26:17 +0000

imms (3.1.0~rc4-6) unstable; urgency=low

  * depends on libsox-fmt-base and libsox-fmt-mp3 to support (among others)
    ogg and mp3 format (Closes: #497811)

 -- Artur R. Czechowski <arturcz@hell.pl>  Fri, 12 Sep 2008 22:50:16 +0200

imms (3.1.0~rc4-5) unstable; urgency=low

  * sox -w option is obsoleted, use -2 instead (Closes: #495378)
  * stronger dependency on sox, was: recommend, is: depends on
  * additionally, it's versioned dependency >= 14.1.0, because of change
    from -w to -2.
  * for debian-release team: it requires unfreezed sox to be useful in lenny

 -- Artur R. Czechowski <arturcz@hell.pl>  Thu, 21 Aug 2008 23:23:02 +0200

imms (3.1.0~rc4-4) unstable; urgency=low

  * Some #defines to make imms compilable with new names in audacious
    code (Closes: #486989).
  * DM-Upload-Allowed: yes

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 29 Jun 2008 00:31:17 +0200

imms (3.1.0~rc4-3) unstable; urgency=low

  * Really add 02compile-with-gcc-4.3 (Closes: #476824)

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 19 Apr 2008 20:46:27 +0200

imms (3.1.0~rc4-2) unstable; urgency=low

  * Reworking the debian/copyright file as requested by Joerg Jaspert

 -- Artur R. Czechowski <arturcz@hell.pl>  Mon, 07 Apr 2008 22:47:15 +0200

imms (3.1.0~rc4-1) unstable; urgency=low

  * The "Farewell XMMS" release
  * New upstream release
    + No longer uses EMD, files have been removed (Closes: #358991)
  * The copyright file copied from upstream AUTHORS file
  * Don't build xmms plugin anymore (Closes: #456686)
    + Removed build-dependency on xmms-dev
    + Run ./configure --without-xmms --without-bmp
  * Split the package for imms-${player} plugins and imms-common
  * Build plugin for audacious
  * Add to Build-Depends: audacious-plugins-dev, dpatch, autoconf, automake
  * Using dpatch to manage patches
  * New patches:
    + 01verbose-compilation
    + 02compile-with-gcc-4.3

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 16 Mar 2008 01:34:24 +0100

imms (3.0.2-2) unstable; urgency=low

  * "Cleaning BTS" release
  * Take over the package with maintainer agreement (Closes: #463269),
    thanks to Norbert Veber for his previous work
  * There is no consensus about removing xmms from Lenny in discussion:
    http://lists.debian.org/debian-devel/2007/07/msg00026.html
    Additionally, I'll package imms plugin for audacious soon. The imms
    shall remain in Debian (Closes: #456686)
  * sox does not have -p option anymore (Closes: #414829)
  * Remove quilt, incorporate changes from no-fno-rtti patch (see #459028)
  * Add missing #includes for gcc 4.3 (Closes: #417233)
  * Updating build dependency fftw3-dev -> libfftw3-dev (Closes: #460981)
  * Don't ignore make clean error
  * Moving Homepage from extended description to separate field.
  * Update Standards-Version (nothing to change) to 3.7.3

 -- Artur R. Czechowski <arturcz@hell.pl>  Wed, 30 Jan 2008 20:01:00 +0100

imms (3.0.2-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Build without -fno-rtti. (Closes: #459028)
  * Add quilt patching system to manage patch.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 13 Jan 2008 11:51:52 +0100

imms (3.0.2-1) unstable; urgency=low

  * New upstream release
  * Added a watch file (debian/watch)
  * Increased debhelper compatibility level to 5
  * Removed executable bit from /usr/share/imms/immsremote.glade
  * Build depend on libsqllite3-dev >= 3.2.2
    Closes: #342703

 -- Norbert Veber <nveber@pyre.virge.net>  Wed,  8 Mar 2006 13:35:48 -0500

imms (3.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Norbert Veber <nveber@pyre.virge.net>  Thu,  8 Dec 2005 15:04:33 -0500

imms (3.0-1) unstable; urgency=low

  * New upstream release
    Closes: #341335

 -- Norbert Veber <nveber@pyre.virge.net>  Wed,  7 Dec 2005 21:15:07 -0500

imms (2.1.1-3) unstable; urgency=low

  * Removed the -shared flag used by the configure script which was causing
    problems on amd64.
    Closes: #331270

 -- Norbert Veber <nveber@pyre.virge.net>  Mon,  3 Oct 2005 19:36:30 -0400

imms (2.1.1-2) unstable; urgency=low

  * Build depend on libxss-dev

 -- Norbert Veber <nveber@pyre.virge.net>  Thu, 29 Sep 2005 10:41:45 -0400

imms (2.1.1-1) unstable; urgency=low

  * New upstream release
    Closes: #309455
  * Recompile with libtag1c2
    Closes: #321544
  * Added workaround for libc bug 323811, thanks to Brad Sawatzky for the
    patch!
    Closes: #324220
  * Build depend on zlib1g-dev
    Closes: #323317
  * Random and repeat modes can now be turned off.  However if random play is
    enabled, the playlist is still repeated.
    Closes: #322032, #253300
  * The "0 msecs elapsed" mesages are no longer printed to the console
    Closes: #292442

 -- Norbert Veber <nveber@pyre.virge.net>  Wed, 28 Sep 2005 12:46:58 -0400

imms (2.0.3-2) unstable; urgency=high

  * Build depend on xmms-dev (>= 1.2.10+cvs20050209)

 -- Norbert Veber <nveber@pyre.virge.net>  Wed, 13 Apr 2005 23:43:11 -0400

imms (2.0.3-1) unstable; urgency=high

  * New upstream release
    Closes: #301831
  * Contains better fix for the command execution security problem
    described below (see changelog entry for version 2.0.1-3.1)
    Closes: #292777, #285828
  * The XMMS queue now works properly
    Closes: #245928
  * Now works with xmms-crossfade
    Closes: #223343
  * Random song skips should no longer occur
    Closes: #245139

 -- Norbert Veber <nveber@pyre.virge.net>  Tue, 12 Apr 2005 17:29:27 -0400

imms (2.0.1-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix
  * Use pipe() and execlp() directly instead of popen() when calling
    sox, to avoid arbitrary command execution attacks when acting on
    files with untrusted names downloaded from the network.
    Closes: #292777.

 -- Steve Langasek <vorlon@debian.org>  Sat,  5 Feb 2005 04:58:12 -0800

imms (2.0.1-3) unstable; urgency=low

  * Applied patch from Andreas Jochens to fix a build problem on 64 bit
    architectures.  Closes: #286432, #286509

 -- Norbert Veber <nveber@pyre.virge.net>  Tue, 21 Dec 2004 13:27:53 -0500

imms (2.0.1-2) unstable; urgency=low

  * Added build-dependancy on libglib2.0-dev
    Closes: #285268
  * Added sox to the list of recommends.

 -- Norbert Veber <nveber@pyre.virge.net>  Mon, 13 Dec 2004 15:56:34 -0500

imms (2.0.1-1) unstable; urgency=low

  * New upstream release
    Closes: #247309

 -- Norbert Veber <nveber@pyre.virge.net>  Fri, 10 Dec 2004 13:52:21 -0500

imms (2.0-1) unstable; urgency=low

  * New upstream release
    Closes: #278972, #270104
  * Updated README.Debian with upgrade instructions, please read!

 -- Norbert Veber <nveber@pyre.virge.net>  Thu,  9 Dec 2004 17:18:41 -0500

imms (1.1-1) unstable; urgency=low

  * New upstream release
    Closes: #244950
  * Replaced libid3-dev, and libvorbis-dev build-deps with libtag1-dev
  * Include immstool in the package
    Closes: #242349

 -- Norbert Veber <nveber@pyre.virge.net>  Fri, 30 Apr 2004 16:45:57 -0400

imms (1.0.1-1) unstable; urgency=low

  * New upstream release
  * The XMMS Queue configuration option is now working
    Closes: #234426
  * Added note into README.Debian about imms being listed under visualization
    plugins.

 -- Norbert Veber <nveber@pyre.virge.net>  Fri, 12 Mar 2004 12:36:32 -0500

imms (1.0-1) unstable; urgency=low

  * New upstream release
    Closes: #230966

 -- Norbert Veber <nveber@pyre.virge.net>  Mon,  9 Feb 2004 16:35:40 -0500

imms (0.9.9-1) unstable; urgency=low

  * New upstream release
    Closes: #224009

 -- Norbert Veber <nveber@pyre.virge.net>  Wed,  7 Jan 2004 17:21:45 -0500

imms (0.9.8-1) unstable; urgency=low

  * New upstream release
  * Added patch to fix the ogg memory leak (songinfo.cc, songinfo.h)
    Closes: #220512
  * Rebuilt with newer id3lib
    Closes: #22104

 -- Norbert Veber <nveber@pyre.virge.net>  Thu, 20 Nov 2003 15:59:22 -0500

imms (0.9.4-2) unstable; urgency=low

  * Added patch to configure.ac to check if libXss can be linked
    dynamically.  Hopefully this fixes #216529.
    Closes: #216529
  * Added patch for properly escaping filenames that contain quotes (').
    Closes: #216276

 -- Norbert Veber <nveber@pyre.virge.net>  Wed, 29 Oct 2003 21:34:01 -0500

imms (0.9.4-1) unstable; urgency=low

  * New upstream release
    Closes: #213992, #212951

 -- Norbert Veber <nveber@pyre.virge.net>  Wed,  8 Oct 2003 21:08:50 -0400

imms (0.9.3-1) unstable; urgency=low

  * New upstream release
    - Doesn't crash anymore with -O2 now that -D_REENTRANT is also used.
    - The previous version was very broken.  It gave ratings to the
      wrong songs.  You may want to rm -rf ~/.imms, and start a new
      database.
  * Fixed some spelling mistakes in the description.

 -- Norbert Veber <nveber@pyre.virge.net>  Fri, 26 Sep 2003 12:54:20 -0400

imms (0.9.2-3) unstable; urgency=low

  * Added -fPIC to CFLAGS..
    Closes: #212596

 -- Norbert Veber <nveber@pyre.virge.net>  Wed, 24 Sep 2003 13:46:25 -0400

imms (0.9.2-2) unstable; urgency=low

  * Added execute permissions to configure script.
    Closes: #212527

 -- Norbert Veber <nveber@pyre.virge.net>  Wed, 24 Sep 2003 10:39:35 -0400

imms (0.9.2-1) unstable; urgency=low

  * Initial Release. (Closes: #211721)
  * Decreased optimization to -O0 instead of -O2.  XMMS kept crashing when
    the plugin was compiled via -O2, and -O1.

 -- Norbert Veber <nveber@pyre.virge.net>  Fri, 19 Sep 2003 19:53:42 -0400

